Subject: Re: bug#15549: hydra.gnu.org uses nontrivial and nonfree javascript

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 22 Oct 2017 17:54:36 -0400

Ricardo Wurmus <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>>> We need to add license comments to the JavaScript files and to
>>> non-trivial embedded script blocks.
>>>
>>> I would like to do this, but I don’t know where the code is that I
>>> should edit, or if this should just be done on our single
>>> soon-to-be-obsolete hydra.gnu.org instance.
>>
>> I depends on the breadth of the changes.  Where are the license tags
>> missing?  Is it mostly in .js files, or in <script> tags?
>
> We don’t need to add anything to .js files if we can write a table
> containing the relative paths to all scripts and their licenses.
>
> Here is an example:
>
>     http://guix.mdc-berlin.de/javascript
>
> A link to this table must be placed on all pages that load the scripts
> (it would be enough to modify the page template).  I’d begin by
> collecting information for all scripts under /static/js and then
> annotate all inline scripts with two-line license comments.
>
> I don’t think I ever got access to hydra.gnu.org; I volunteer to make
> the required changes (I’ve done this before for rcas.mdc-berlin.de and
> guix.mdc-berlin.de).

I believe there are also LibreJS problems with our Guix packages page
at: https://www.gnu.org/software/guix/packages/

Maxim